# Utf16ConverterFilter Class Reference
[Tools for primitive's filtration]

Used for on-fly detection and turning UTF16 into UTF8. More...

Inheritance diagram for Utf16ConverterFilter:
[legend]

List of all members.

## Public Member Functions

| apply ($value)

## Static Public Member Functions

static | me ()

## Detailed Description

Used for on-fly detection and turning UTF16 into UTF8.

Normally, you should not use this class. There are a little amount of platforms with broken unicode implementations, and this filter tries to detect them and fix their bug.

Not working for UTF-16LE, though.

Definition at line 23 of file Utf16ConverterFilter.class.php.

## Member Function Documentation

Utf16ConverterFilter::apply | ( | $ | value | ) |

Definition at line 33 of file Utf16ConverterFilter.class.php.

static Utf16ConverterFilter::me | ( |  | ) | `[static]`

Returns:
  Utf16ConverterFilter

Implements Instantiatable.

Definition at line 28 of file Utf16ConverterFilter.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/Form/Filters/Utf16ConverterFilter.class.php